Debian 9 (stretch) リリースノート (ARMv7 (EABI 浮動小数点ハードウェア ABI) 用)

The Debian Documentation Project

この文書はフリーソフトウェアです。あなたは、Free Software Foundation が公表した GNU 一般公衆ライセンスの第二版の条件に基づいて、本文書の再頒布および変更を行うことができます。

本プログラムはその有用性が期待されて頒布されるものですが、市場性や特定の目的への適合性に関する暗黙の保証も含め、いかなる保証も行いません。詳細については GNU 一般公衆ライセンスをご覧ください。

あなたは、このプログラムとともに、GNU 一般公衆ライセンスの写しを受け取っているはずです。そうでなければ Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA に手紙でお知らせください。

このライセンスは http://www.gnu.org/licenses/gpl-2.0.html や、Debian の /usr/share/common-licenses/GPL-2 にあります。


目次

1. はじめに
1.1. この文書に関するバグを報告する
1.2. アップグレードについての報告をする
1.3. この文書のソース
2. Debian 9 の最新情報
2.1. サポートするアーキテクチャ
2.2. ディストリビューションの最新情報
2.2.1. CD、DVD、Blu-ray ディスク
2.2.2. セキュリティ
2.2.3. MariaDB が MySQL を置き換えます
2.2.4. APT とアーカイブのレイアウトについての改善
2.2.5. 新しい deb.debian.org ミラー
2.2.6. "モダン" な GnuPG への移行
2.2.7. デバッグシンボル向けの新しいアーカイブ
2.2.8. ネットワークインターフェイスの新しい命名方法
2.2.9. Debian Med Blend からのニュース
2.2.10. Xorg サーバーは root 権限が不要になりました
3. インストールシステム
3.1. インストールシステムの最新情報
3.1.1. 主要な変更点
3.1.2. 自動インストール
4. Debian 8 (jessie) からのアップグレード
4.1. アップグレードの準備
4.1.1. あらゆるデータや設定情報をバックアップする
4.1.2. 事前にユーザに通知する
4.1.3. サービスのダウン期間の準備
4.1.4. 復旧の準備
4.1.5. アップグレード用の安全な環境の準備
4.2. システムの状態をチェックする
4.2.1. パッケージマネージャにおいて中断しているアクションの確認
4.2.2. APT の pin 機能を無効にする
4.2.3. パッケージの状態をチェックする
4.2.4. proposed-updates セクション
4.2.5. 非公式なソース
4.3. APT の取得先 (ソース) の準備
4.3.1. APT のインターネットソースの追加
4.3.2. APT のローカルミラーソースの追加
4.3.3. APT の光学メディアソースの追加
4.4. パッケージのアップグレード
4.4.1. セッションの記録
4.4.2. パッケージリストの更新
4.4.3. アップグレードするのに十分な領域があることを確認する
4.4.4. システムの最小アップグレード
4.4.5. システムのアップグレード
4.5. アップグレード中の注意点
4.5.1. 「即時設定は動作しません」で dist-upgrade が失敗する
4.5.2. 予期されるパッケージの削除
4.5.3. 衝突 (Conflicts) あるいは事前依存 (Pre-Depends) のループ
4.5.4. ファイルの衝突
4.5.5. 設定の変更
4.5.6. コンソール接続へセッションの変更
4.6. カーネルと関連パッケージのアップグレード
4.6.1. カーネルメタパッケージのインストール
4.7. 次のリリースへの準備
4.7.1. 削除したパッケージを完全削除する
4.8. 利用されなくなったパッケージ
4.8.1. ダミーパッケージ
5. stretch で注意すべき点
5.1. stretch へのアップグレード特有の事項
5.1.1. /usr の遅延マウントはサポートされなくなりました
5.1.2. Debian が提供するミラーへの FTP 接続は廃止されます
5.1.3. 特記すべき時代遅れとなったパッケージたち
5.1.4. アップグレード後、再起動前にすること
5.1.5. 実行ファイルはデフォルトで PIE (position independent executables) が有効でコンパイルされています
5.1.6. LSB 互換パッケージの多くは削除されました
5.2. セキュリティサポートにおける制限事項
5.2.1. ウェブブラウザにおけるセキュリティ更新の状態
5.2.2. libv8 および Node.js 界隈のエコシステムに対するセキュリティサポートの欠落
5.3. パッケージ特有の問題
5.3.1. 旧式の暗号と SSH1 プロトコルは OpenSSH では標準で無効にされています
5.3.2. APTでの後方非互換性が生じるかもしれない変更について
5.3.3. デスクトップは libinput Xorg ドライバへ移行します
5.3.4. Upstart は削除されました
5.3.5. debhelper ツールは標準で dbgsym パッケージを生成するようになりました
5.3.6. OpenSSL 関連の変更
5.3.7. Perl での変更がサードパーティ製ソフトウェアを壊す可能性があります
5.3.8. PostgreSQL PL/Perl の非互換性
5.3.9. net-toolsiproute2 が選ばれたため非推奨となりました
5.3.10. AoE (ATA over ethernet) デバイスを使っている場合は _netdev マウントオプションが推奨されます
5.3.11. アップグレード中での無害な Unespaced ... in regex is deprecated, ... という警告
5.3.12. SELinux ポリシー格納の移行
6. Debian に関するさらなる情報
6.1. もっと読みたい
6.2. 助けを求めるには
6.2.1. メーリングリスト
6.2.2. インターネットリレーチャット (IRC)
6.3. バグを報告する
6.4. Debian に貢献する
A. アップグレードの前に jessie システムを調整する
A.1. jessie システムのアップグレード
A.2. ソースリストのチェック
A.3. 古く不要になった設定ファイルを削除する
A.4. 古いロケールから UTF-8 へアップグレードする
B. リリースノートの貢献者たち
索引
用語集